{
    "scan": {
        "analyzer-version-clang": "18.1.7",
        "analyzer-version-cppcheck": "2.14.2",
        "analyzer-version-gcc": "14.1.1",
        "analyzer-version-gcc-analyzer": "14.1.1",
        "analyzer-version-shellcheck": "0.10.0",
        "enabled-plugins": "clang, cppcheck, gcc, shellcheck",
        "exit-code": 0,
        "host": "ip-172-16-1-104.us-west-2.compute.internal",
        "mock-config": "fedora-41-x86_64",
        "project-name": "kf5-kactivities-stats-5.115.0-1.fc40",
        "store-results-to": "/tmp/tmprmy4_83t/kf5-kactivities-stats-5.115.0-1.fc40.tar.xz",
        "time-created": "2024-07-03 13:45:44",
        "time-finished": "2024-07-03 13:47:49",
        "tool": "csmock",
        "tool-args": "'/usr/bin/csmock' '-r' 'fedora-41-x86_64' '-t' 'cppcheck,gcc,clang,shellcheck' '-o' '/tmp/tmprmy4_83t/kf5-kactivities-stats-5.115.0-1.fc40.tar.xz' '--gcc-analyze' '/tmp/tmprmy4_83t/kf5-kactivities-stats-5.115.0-1.fc40.src.rpm'",
        "tool-version": "csmock-3.5.3-1.el9"
    },
    "defects": [
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "4dbb0890bcbf54f0ae2569194f52ca88aad44759",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 93,
                    "column": 5,
                    "event": "warning[cplusplus.NewDeleteLeaks]",
                    "message": "Potential memory leak",
                    "verbosity_level": 0
                },
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 86,
                    "column": 56,
                    "event": "note",
                    "message": "expanded from macro 'ADD_TEST'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 83,
                    "column": 17,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 91,
                    "column": 5,
                    "event": "note",
                    "message": "'all' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 86,
                    "column": 60,
                    "event": "note",
                    "message": "expanded from macro 'ADD_TEST'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 91,
                    "column": 5,
                    "event": "note",
                    "message": "Left side of '||' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 86,
                    "column": 64,
                    "event": "note",
                    "message": "expanded from macro 'ADD_TEST'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 91,
                    "column": 5,
                    "event": "note",
                    "message": "'all' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 87,
                    "column": 9,
                    "event": "note",
                    "message": "expanded from macro 'ADD_TEST'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 91,
                    "column": 5,
                    "event": "note",
                    "message": "Left side of '||' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 87,
                    "column": 13,
                    "event": "note",
                    "message": "expanded from macro 'ADD_TEST'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 91,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 87,
                    "column": 5,
                    "event": "note",
                    "message": "expanded from macro 'ADD_TEST'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 92,
                    "column": 5,
                    "event": "note",
                    "message": "'all' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 86,
                    "column": 60,
                    "event": "note",
                    "message": "expanded from macro 'ADD_TEST'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 92,
                    "column": 5,
                    "event": "note",
                    "message": "Left side of '||' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 86,
                    "column": 64,
                    "event": "note",
                    "message": "expanded from macro 'ADD_TEST'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 92,
                    "column": 5,
                    "event": "note",
                    "message": "'all' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 87,
                    "column": 9,
                    "event": "note",
                    "message": "expanded from macro 'ADD_TEST'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 92,
                    "column": 5,
                    "event": "note",
                    "message": "Left side of '||' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 87,
                    "column": 13,
                    "event": "note",
                    "message": "expanded from macro 'ADD_TEST'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 92,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 87,
                    "column": 5,
                    "event": "note",
                    "message": "expanded from macro 'ADD_TEST'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 92,
                    "column": 5,
                    "event": "note",
                    "message": "Memory is allocated",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 88,
                    "column": 19,
                    "event": "note",
                    "message": "expanded from macro 'ADD_TEST'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 93,
                    "column": 5,
                    "event": "note",
                    "message": "Potential memory leak",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 86,
                    "column": 56,
                    "event": "note",
                    "message": "expanded from macro 'ADD_TEST'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   91|       ADD_TEST(Query)",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   92|       ADD_TEST(ResultSet)",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   93|->     ADD_TEST(ResultSetQuickCheck)",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   94|       ADD_TEST(ResultWatcher)",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   95|   ",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "94edac1f19ce365942a0ddfd797da051a47d6308",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 94,
                    "column": 5,
                    "event": "warning[cplusplus.NewDeleteLeaks]",
                    "message": "Potential memory leak",
                    "verbosity_level": 0
                },
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 86,
                    "column": 56,
                    "event": "note",
                    "message": "expanded from macro 'ADD_TEST'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 83,
                    "column": 17,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 91,
                    "column": 5,
                    "event": "note",
                    "message": "'all' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 86,
                    "column": 60,
                    "event": "note",
                    "message": "expanded from macro 'ADD_TEST'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 91,
                    "column": 5,
                    "event": "note",
                    "message": "Left side of '||' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 86,
                    "column": 64,
                    "event": "note",
                    "message": "expanded from macro 'ADD_TEST'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 91,
                    "column": 5,
                    "event": "note",
                    "message": "'all' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 87,
                    "column": 9,
                    "event": "note",
                    "message": "expanded from macro 'ADD_TEST'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 91,
                    "column": 5,
                    "event": "note",
                    "message": "Left side of '||' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 87,
                    "column": 13,
                    "event": "note",
                    "message": "expanded from macro 'ADD_TEST'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 91,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 87,
                    "column": 5,
                    "event": "note",
                    "message": "expanded from macro 'ADD_TEST'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 92,
                    "column": 5,
                    "event": "note",
                    "message": "'all' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 86,
                    "column": 60,
                    "event": "note",
                    "message": "expanded from macro 'ADD_TEST'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 92,
                    "column": 5,
                    "event": "note",
                    "message": "Left side of '||' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 86,
                    "column": 64,
                    "event": "note",
                    "message": "expanded from macro 'ADD_TEST'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 92,
                    "column": 5,
                    "event": "note",
                    "message": "'all' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 87,
                    "column": 9,
                    "event": "note",
                    "message": "expanded from macro 'ADD_TEST'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 92,
                    "column": 5,
                    "event": "note",
                    "message": "Left side of '||' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 87,
                    "column": 13,
                    "event": "note",
                    "message": "expanded from macro 'ADD_TEST'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 92,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 87,
                    "column": 5,
                    "event": "note",
                    "message": "expanded from macro 'ADD_TEST'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 93,
                    "column": 5,
                    "event": "note",
                    "message": "'all' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 86,
                    "column": 60,
                    "event": "note",
                    "message": "expanded from macro 'ADD_TEST'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 93,
                    "column": 5,
                    "event": "note",
                    "message": "Left side of '||' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 86,
                    "column": 64,
                    "event": "note",
                    "message": "expanded from macro 'ADD_TEST'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 93,
                    "column": 5,
                    "event": "note",
                    "message": "'all' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 87,
                    "column": 9,
                    "event": "note",
                    "message": "expanded from macro 'ADD_TEST'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 93,
                    "column": 5,
                    "event": "note",
                    "message": "Left side of '||' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 87,
                    "column": 13,
                    "event": "note",
                    "message": "expanded from macro 'ADD_TEST'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 93,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 87,
                    "column": 5,
                    "event": "note",
                    "message": "expanded from macro 'ADD_TEST'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 93,
                    "column": 5,
                    "event": "note",
                    "message": "Memory is allocated",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 88,
                    "column": 19,
                    "event": "note",
                    "message": "expanded from macro 'ADD_TEST'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 94,
                    "column": 5,
                    "event": "note",
                    "message": "Potential memory leak",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 86,
                    "column": 56,
                    "event": "note",
                    "message": "expanded from macro 'ADD_TEST'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   92|       ADD_TEST(ResultSet)",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   93|       ADD_TEST(ResultSetQuickCheck)",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   94|->     ADD_TEST(ResultWatcher)",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   95|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   96|       runner.start();",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "2cc3d15bdcc4c7a8f083bbe36fb6feacb572da89",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 96,
                    "column": 5,
                    "event": "warning[cplusplus.NewDeleteLeaks]",
                    "message": "Potential memory leak",
                    "verbosity_level": 0
                },
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 83,
                    "column": 17,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 91,
                    "column": 5,
                    "event": "note",
                    "message": "'all' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 86,
                    "column": 60,
                    "event": "note",
                    "message": "expanded from macro 'ADD_TEST'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 91,
                    "column": 5,
                    "event": "note",
                    "message": "Left side of '||' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 86,
                    "column": 64,
                    "event": "note",
                    "message": "expanded from macro 'ADD_TEST'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 91,
                    "column": 5,
                    "event": "note",
                    "message": "'all' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 87,
                    "column": 9,
                    "event": "note",
                    "message": "expanded from macro 'ADD_TEST'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 91,
                    "column": 5,
                    "event": "note",
                    "message": "Left side of '||' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 87,
                    "column": 13,
                    "event": "note",
                    "message": "expanded from macro 'ADD_TEST'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 91,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 87,
                    "column": 5,
                    "event": "note",
                    "message": "expanded from macro 'ADD_TEST'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 92,
                    "column": 5,
                    "event": "note",
                    "message": "'all' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 86,
                    "column": 60,
                    "event": "note",
                    "message": "expanded from macro 'ADD_TEST'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 92,
                    "column": 5,
                    "event": "note",
                    "message": "Left side of '||' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 86,
                    "column": 64,
                    "event": "note",
                    "message": "expanded from macro 'ADD_TEST'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 92,
                    "column": 5,
                    "event": "note",
                    "message": "'all' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 87,
                    "column": 9,
                    "event": "note",
                    "message": "expanded from macro 'ADD_TEST'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 92,
                    "column": 5,
                    "event": "note",
                    "message": "Left side of '||' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 87,
                    "column": 13,
                    "event": "note",
                    "message": "expanded from macro 'ADD_TEST'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 92,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 87,
                    "column": 5,
                    "event": "note",
                    "message": "expanded from macro 'ADD_TEST'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 93,
                    "column": 5,
                    "event": "note",
                    "message": "'all' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 86,
                    "column": 60,
                    "event": "note",
                    "message": "expanded from macro 'ADD_TEST'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 93,
                    "column": 5,
                    "event": "note",
                    "message": "Left side of '||' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 86,
                    "column": 64,
                    "event": "note",
                    "message": "expanded from macro 'ADD_TEST'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 93,
                    "column": 5,
                    "event": "note",
                    "message": "'all' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 87,
                    "column": 9,
                    "event": "note",
                    "message": "expanded from macro 'ADD_TEST'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 93,
                    "column": 5,
                    "event": "note",
                    "message": "Left side of '||' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 87,
                    "column": 13,
                    "event": "note",
                    "message": "expanded from macro 'ADD_TEST'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 93,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 87,
                    "column": 5,
                    "event": "note",
                    "message": "expanded from macro 'ADD_TEST'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 94,
                    "column": 5,
                    "event": "note",
                    "message": "'all' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 86,
                    "column": 60,
                    "event": "note",
                    "message": "expanded from macro 'ADD_TEST'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 94,
                    "column": 5,
                    "event": "note",
                    "message": "Left side of '||' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 86,
                    "column": 64,
                    "event": "note",
                    "message": "expanded from macro 'ADD_TEST'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 94,
                    "column": 5,
                    "event": "note",
                    "message": "'all' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 87,
                    "column": 9,
                    "event": "note",
                    "message": "expanded from macro 'ADD_TEST'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 94,
                    "column": 5,
                    "event": "note",
                    "message": "Left side of '||' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 87,
                    "column": 13,
                    "event": "note",
                    "message": "expanded from macro 'ADD_TEST'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 94,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 87,
                    "column": 5,
                    "event": "note",
                    "message": "expanded from macro 'ADD_TEST'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 94,
                    "column": 5,
                    "event": "note",
                    "message": "Memory is allocated",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 88,
                    "column": 19,
                    "event": "note",
                    "message": "expanded from macro 'ADD_TEST'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kactivities-stats-5.115.0-build/kactivities-stats-5.115.0/autotests/main.cpp",
                    "line": 96,
                    "column": 5,
                    "event": "note",
                    "message": "Potential memory leak",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   94|       ADD_TEST(ResultWatcher)",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   95|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   96|->     runner.start();",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   97|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   98|   #undef ADD_TEST",
                    "verbosity_level": 1
                }
            ]
        }
    ]
}
